import get from 'lodash/get';
import Link from './Link';
import LinkedIn from './LinkedIn';
import Mail from './Mail';
import More from './More';
import Reddit from './Reddit';
import WhatsApp from './WhatsApp';
import X from './X';
const icons = {
  link: Link,
  linkedin: LinkedIn,
  mail: Mail,
  more: More,
  reddit: Reddit,
  whatsapp: WhatsApp,
  x: X
};
const Icon = function Icon(props) {
  const {
    icon
  } = props;
  const Component = get(icons, icon);
  if (!Component) return null;
  return <Component />;
};
export default Icon;